---
updatedAt: 2026-06-05T04:27:01.000Z
---

# Deprecated - Retrieve all the identity source instances of the tenant that have this property name and value.

This API is deprecated and will be removed after June 1 2025. Use the Version 2.0 API: /v2.0/identitysources/property/{propertyName}/{propertyValue}<br><br>The REST interface that retrieves all the identity source instances of the tenant. <br><br>Entitlements required: <b>readIdentitySources</b>, <b>manageIdentitySources</b>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "IBM Verify API",
    "title": "IBM Verify API"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Identity Sources V1 - Deprecated"
    }
  ],
  "paths": {
    "/v1.0/identitysources/property/{propertyName}/{propertyValue}": {
      "get": {
        "tags": [
          "Identity Sources V1 - Deprecated"
        ],
        "summary": "Deprecated - Retrieve all the identity source instances of the tenant that have this property name and value.",
        "description": "This API is deprecated and will be removed after June 1 2025. Use the Version 2.0 API: /v2.0/identitysources/property/{propertyName}/{propertyValue}<br><br>The REST interface that retrieves all the identity source instances of the tenant. <br><br>Entitlements required: <b>readIdentitySources</b>, <b>manageIdentitySources</b>",
        "operationId": "getInstancesByPropertyV1",
        "parameters": [
          {
            "name": "propertyName",
            "in": "path",
            "description": "The property name to search for in the identity source instances.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "propertyValue",
            "in": "path",
            "description": "The property value to search for in the identity source instances.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success. The identity sources were retrieved with a matching property name and value.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/IdentitySourceIntancesDataList"
                }
              }
            }
          },
          "400": {
            "description": "The response JSON was malformed.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequest_2"
                }
              }
            }
          },
          "403": {
            "description": "You are not authorized to access this resource.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404": {
            "description": "The search failed. The system couldn't retrieve the identity sources with the specified property name and value combination.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFound_1"
                }
              }
            }
          }
        },
        "deprecated": true,
        "x-category": "IBM Verify API",
        "x-publicAPI": "true"
      }
    }
  },
  "components": {
    "schemas": {
      "Forbidden": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier.",
            "example": "CSIAK4300E"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message.",
            "example": "You are not authorized to access this resource."
          }
        }
      },
      "PostEval": {
        "required": [
          "custom",
          "id"
        ],
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "A valid attribute function. This will tranform the attribute mapping. Only one of 'id' or 'custom' can be set on an attribute mapping.",
            "example": "uppercase"
          },
          "custom": {
            "type": "string",
            "description": "A custom rule for transforming. This will tranform the attribute mapping. Only one of 'id' or 'custom' can be set on an attribute mapping."
          }
        }
      },
      "IdentitySourceInstancesPropertiesData": {
        "required": [
          "key",
          "sensitive",
          "value"
        ],
        "type": "object",
        "properties": {
          "sensitive": {
            "type": "boolean",
            "description": "Indicates whether this property holds any secrets that should not be disclosed.<br> If the property is sensitive, then the property value will be masked out with asterisk characters.",
            "example": false
          },
          "key": {
            "type": "string",
            "description": "Property key.",
            "example": "realm"
          },
          "value": {
            "type": "string",
            "description": "Property value. Secret values will be masked out with asterisk characters.",
            "example": "cloudIdentityRealm"
          }
        }
      },
      "IdentitySourceInstancesData": {
        "required": [
          "enabled",
          "instanceName",
          "properties",
          "sourceTypeId"
        ],
        "type": "object",
        "properties": {
          "sourceTypeId": {
            "maximum": 17,
            "minimum": 1,
            "type": "integer",
            "description": "The numeric identifier of identity provider type.",
            "format": "int32",
            "example": 5
          },
          "instanceName": {
            "type": "string",
            "description": "The instance name to be displayed on login selection page.",
            "example": "Cloud Directory"
          },
          "enabled": {
            "type": "boolean",
            "description": "A Boolean flag that indicates whether this instance is enabled or disabled. Only enabled identity source instances are displayed on the login selection page. ",
            "example": true
          },
          "status": {
            "type": "string",
            "description": "A string label that indicates whether this instance is configured. If specified, this property is ignored during creation. ",
            "example": "configured ",
            "enum": [
              "configured",
              "unconfigured"
            ]
          },
          "predefined": {
            "type": "boolean",
            "description": "This property is currently not in use. We do not support plugging-in any other custom types of identity providers.\n However, the purpose was to indicate that this instance is special; it neither be created and nor deleted.",
            "example": false
          },
          "properties": {
            "type": "array",
            "description": "A set of properties that are associated with the identity source instance.\n  It is an array of properties of identity source instance that are required to perform the runtime login flow.\n  The properties and the number of properties differ with the provider type.",
            "items": {
              "$ref": "#/components/schemas/IdentitySourceInstancesPropertiesData"
            }
          },
          "attributeMappings": {
            "type": "array",
            "description": "A set of attribute mappings that are associated with the identity source instance.\n It is an array of attribute mappings that are not required but an optional input for certain runtime login flows.\n The properties and the number of properties differe with the provider type.",
            "items": {
              "$ref": "#/components/schemas/AttributeMapping_0"
            }
          }
        }
      },
      "IdentitySourceIntancesDataList": {
        "required": [
          "identitySources",
          "total"
        ],
        "type": "object",
        "properties": {
          "total": {
            "type": "integer",
            "description": "Total number of identity source intances configured for the tenant.",
            "format": "int32",
            "example": 1
          },
          "identitySources": {
            "type": "array",
            "description": "A list of identity source intances configured for the tenant.",
            "items": {
              "$ref": "#/components/schemas/IdentitySourceInstancesData"
            }
          }
        }
      },
      "BadRequest_2": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier.",
            "example": "CSIAG5401E"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message.",
            "example": "The request failed because the request body contains improperly structured JSON."
          }
        }
      },
      "AttributeMapping_0": {
        "required": [
          "attrId",
          "idsAttrName",
          "jitpOption"
        ],
        "type": "object",
        "properties": {
          "attrId": {
            "type": "string",
            "description": "The IBM Security Verify Cloud Directory attribute identifier.",
            "example": "12"
          },
          "jitpOption": {
            "type": "string",
            "description": "The IBM Security Verify Cloud Directory attribute identifier.",
            "example": "ALWAYS",
            "enum": [
              "ALWAYS",
              "CREATE",
              "DISABLED",
              "NONE"
            ]
          },
          "idsAttrName": {
            "type": "string",
            "description": "The external identity source attribute name. Only required if identity source is not Cloud Directory.",
            "example": "dept"
          },
          "postEval": {
            "$ref": "#/components/schemas/PostEval"
          }
        }
      },
      "NotFound_1": {
        "required": [
          "messageDescription",
          "messageId"
        ],
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "The message key identifier.",
            "example": "CSIAG0605E"
          },
          "messageDescription": {
            "type": "string",
            "description": "A requester locale-specific descriptive message.",
            "example": "The retrieval failed because the resource wasn't found"
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```